﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
  html, body, form
  {
     height: 100%;
     margin: 0px;
     padding: 0px;
  }
  </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        <script type="text/javascript">
        function pageLoad() 
        { 

            var myPane = $get('<%= RadPane4.ClientID %>'); 
            var myMultipage = $get('<%= RadMultiPage1.ClientID %>'); 
            var myTabStrip = $get('<%= tabStrip1.ClientID %>'); 

            var newHeight = (myPane.offsetHeight - myTabStrip.offsetHeight);
            var myGrid = $get('<%= RadGrid1.ClientID %>');
            myMultipage.style.height = newHeight + 'px';
            $get('<%= RadGrid1.ClientID %>_GridData').style.height = (newHeight - 60) + 'px';

        } 


        </script>

        <telerik:RadSplitter ID="RadSplitter1" VisibleDuringInit="false" runat="server" Width="100%"
            Height="100%" Orientation="vertical">
            <telerik:RadPane ID="radPane1" runat="server" Scrolling="None">
                <telerik:RadSplitter ID="treeSplitter" VisibleDuringInit="false" runat="server" Width="100%"
                    Height="100%" Orientation="horizontal">
                    <telerik:RadPane ID="treePane" runat="server">
                        <div class="containerHeading">
                            <span>TreeView</span>
                        </div>
                    </telerik:RadPane>
                    <telerik:RadSplitBar ID="SplitterBar2" runat="server" />
                    <telerik:RadPane ID="controlsPane" runat="server">
                        <div class="containerHeading">
                            <span>Controls</span>
                        </div>
                    </telerik:RadPane>
                </telerik:RadSplitter>
            </telerik:RadPane>
            <telerik:RadSplitBar ID="radSplitterBar1" runat="server" />
            <telerik:RadPane ID="radPane2" runat="server" Scrolling="None">
                <telerik:RadSplitter ID="RadSplitter2" VisibleDuringInit="false" runat="server" Orientation="horizontal"
                    ResizeMode="proportional">
                    <telerik:RadPane ID="RadPane3" runat="server" Scrolling="None">
                        <div class="containerHeading">
                            <span>Map</span>
                        </div>
                    </telerik:RadPane>
                    <telerik:RadSplitBar ID="RadSplitBar1" runat="server" />
                    <telerik:RadPane ID="RadPane4" runat="server" Scrolling="None">
                        <div class="containerHeading">
                            <span>Tools</span>
                        </div>
                        <telerik:RadTabStrip ID="tabStrip1" runat="server" Style="width: 100%;" MultiPageID="RadMultiPage1"
                            SelectedIndex="0">
                            <Tabs>
                                <telerik:RadTab runat="server" Text="Noticeboard" Selected="True">
                                </telerik:RadTab>
                                <telerik:RadTab runat="server" Text="History">
                                </telerik:RadTab>
                                <telerik:RadTab runat="server" Text="Properties">
                                </telerik:RadTab>
                                <telerik:RadTab runat="server" Text="Legend">
                                </telerik:RadTab>
                                <telerik:RadTab runat="server" Text="Find">
                                </telerik:RadTab>
                                <telerik:RadTab runat="server" Text="Alerts">
                                </telerik:RadTab>
                            </Tabs>
                        </telerik:RadTabStrip>
                        <telerik:RadMultiPage ID="RadMultiPage1" Height="100%" runat="server" SelectedIndex="0">
                            <telerik:RadPageView ID="RadPageView1" Height="100%" runat="server" Selected="True">
                                <asp:Timer ID="timerNoticeboard" runat="server" Enabled="false">
                                </asp:Timer>
                                <telerik:RadAjaxManager ID="AjaxManager1" runat="server">
                                    <AjaxSettings>
                                        <telerik:AjaxSetting AjaxControlID="timerNoticeboard">
                                            <UpdatedControls>
                                                <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                                            </UpdatedControls>
                                        </telerik:AjaxSetting>
                                    </AjaxSettings>
                                </telerik:RadAjaxManager>
                                <telerik:RadGrid ID="RadGrid1" runat="server" AllowSorting="True" GridLines="None"
                                    ShowStatusBar="True" Height="100%" AutoGenerateColumns="False">
                                    <MasterTableView>
                                        <RowIndicatorColumn>
                                            <HeaderStyle Width="20px" />
                                        </RowIndicatorColumn>
                                        <ExpandCollapseColumn>
                                            <HeaderStyle Width="20px" />
                                        </ExpandCollapseColumn>
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="FirstColumn" EmptyDataText="&amp;nbsp;" HeaderText="Title"
                                                UniqueName="Title">
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="SecondColumn" EmptyDataText="&amp;nbsp;" HeaderText="Description"
                                                UniqueName="Description">
                                            </telerik:GridBoundColumn>
                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings>
                                        <Scrolling AllowScroll="True" UseStaticHeaders="True" />
                                    </ClientSettings>
                                    <FilterMenu EnableTheming="True">
                                        <CollapseAnimation Duration="200" Type="OutQuint" />
                                    </FilterMenu>
                                </telerik:RadGrid>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView2" runat="server">
                                History</telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView3" runat="server">
                                Properties</telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView4" runat="server">
                                Legend</telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView5" runat="server">
                                Find</telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView6" runat="server">
                                Alerts</telerik:RadPageView>
                        </telerik:RadMultiPage>
                    </telerik:RadPane>
                </telerik:RadSplitter>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </form>
</body>
</html>
